(function(){
    var tempVersion = new Date().getTime();

    angular.module("app.active")
        .config(['$stateProvider',"$urlRouterProvider",function ($stateProvider,$urlRouterProvider) {
        var menu = "active",html = ["product"];
        $stateProvider.state(menu,{
            url:"",
            templateUrl: '/template/menu/collect.html?r='+tempVersion,
            controller: "collectCtrl"
        });
        html.forEach(function(h){
            $stateProvider.state('collect.' + h,{
                url:"/" + menu + "/" + h,
                views:{
                    "content@":{
                        templateUrl: "/template/" + menu + "/" + h + '.html?r='+tempVersion,
                        controller: h +"Ctrl"
                    }
                }
            });
        });
    }]);
})();
